﻿@using Jumbula.Common.Helper
@using Jumbula.Web.WebLogic.UserService
@model LoginRegister


@{
    bool loginOnly = Model.LoginOnly;

    ViewBag.LoginTitle = !loginOnly ? "Already a member?" : "Login";
}

@Html.HiddenFor(model => model.LoginOnly)

@if (Request.IsAjaxRequest() || Request.IsFromAngular())
{
    <meta http-equiv="refresh" content="0">
}
else
{

    ViewBag.Title = "Login";
    Layout = "~/Views/Shared/_BaseLayout.cshtml";

    <main id="mainContainer">

        <!--logo-->
        <div class="logo-container">
            <div class="logo-portal">
                @if (this.GetCurrentRequestType() == RequestType.Branded)
                {
                    <img alt="ClubName" src="@Model.LogoUrl" />
                }
                else
                {
                    <img alt="Jumbula" src="~/Images/JBLogo.png" />
                }

            </div>
        </div>


        <div class="domains-portal">
            @if (!loginOnly)
            {

                  <!-- Nav tabs -->
                <ul id="tab-xs" class="nav nav-tabs visible-xs" role="tablist">
                    <li role="presentation"><a href="#profile" aria-controls="profile" role="tab" data-toggle="tab">New member?</a></li>
                    <li role="presentation" class="active"><a href="#home" aria-controls="home" role="tab" data-toggle="tab">@ViewBag.LoginTitle</a></li>
                </ul>
            <!-- Nav tabs -->
                <ul id="base-tab" class="nav nav-tabs" role="tablist">
                    @*<li role="presentation" class="active "><a href="#home" aria-controls="home" role="tab" data-toggle="tab">@ViewBag.LoginTitle</a></li>*@
                    <li role="presentation" class="@(Model.RegisterMode? string.Empty: "active")"><a href="#home" aria-controls="home" role="tab" data-toggle="tab">Already a member</a></li>
                    <li role="presentation" class="@(Model.RegisterMode ? "active" : "hidden-xs")"><a href="#profile" aria-controls="profile" role="tab" data-toggle="tab">New family</a></li>
                </ul>

            <!-- Tab panes -->
                <div class="tab-content">
                    <div role="tabpanel" class="tab-pane fade @(Model.RegisterMode? string.Empty: "active in")" id="home">
                        @{Html.RenderPartial("_Login", Model.Login);}
                    </div>
                    <div role="tabpanel" class="tab-pane fade @(Model.RegisterMode?  "active in" : string.Empty)" id="profile">
                        @{Html.RenderPartial("_Signup", Model.Register);}
                    </div>

                </div>

                            }
                            else
                            {
                                Html.RenderPartial("_Login", Model.Login);
                            }
        </div>


    </main>




    @section Styles{
        <link href="~/Content/Student/Home/LoginSignup.css" rel="stylesheet" />
    }


    @section Scripts{
        <script src="~/Scripts/Libraries/jQuery/jquery.validate.min.js"></script>
        <script src="~/Scripts/Libraries/jQuery/jquery.validate.unobtrusive.min.js"></script>
        <script src="/Scripts/Student/LoginSignup.js"></script>


        <script type="text/javascript">

            $(document).ready(function () {

                $("#tab-xs li:first-child").click(function () {

                    $("#base-tab li:last-child").removeClass("hidden-xs");
                    $("#base-tab li:last-child").addClass("active");
                    $("#base-tab li:first-child").removeClass("active");
                    $("#base-tab li:first-child").addClass("hidden-xs");

                });
                $("#tab-xs li:last-child").click(function () {
                    $("#base-tab li:first-child").removeClass("hidden-xs");
                    $("#base-tab li:first-child").addClass("active");
                    $("#base-tab li:last-child").removeClass("active");
                    $("#base-tab li:last-child").addClass("hidden-xs");

                });

            });
            $("#login .form-control").focus(function () {
                $(this).parent().addClass("active");
            }).blur(function () {
                $(this).parent().removeClass("active");
            });

            $(".social-options .step1").click(function () {
                $(this).parents(".social-options").addClass("active-step");
            });
            $(".social-options ul li").click(function () {
                $(".social-options ul li").removeClass("active");
                $(this).addClass("active");
            });

            $("#SignupUserName").blur(function () {

                var $this = $(this);
                var text = $this.val();
                var email = new RegExp(/^(([^<>()[\]\\.,;:\s@@\"]+(\.[^<>()[\]\\.,;:\s@@\"]+)*)|(\".+\"))@@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/);
                if (text != "" && text.match(email)) {
                    var url = '@Url.Action("CheckIsUserNameExist", "Account")' + '?userName=' + text;
                    $.ajax({
                        url: url,
                        type: "Get",
                        success: function (data) {
                            switch (data.Status) {
                                case "UserIsNotExist":
                                    {
                                        $this.addClass("input-validation-valid").removeClass("input-validation-error");
                                        break;
                                    }
                                case "UserIsExist":
                                    {
                                        $this.addClass("input-validation-error").removeClass("input-validation-valid");
                                        $("#submitJoin").validate().showErrors({ "UserName": data.Message });
                                        break;
                                    }
                            }
                        }
                    });
                }
            });



        </script>
    }

    }

